1. Functions are used for different reasons. One of them is avoiding repetitions. Another reason is their reusability. Once a function is defined, it can be used over and over again. Also, they are great for organizing our code. Once a function is written, it can be called multiple times from within the program. 

2. Functions exchange information by means of parameters and arguments. So, arguments can be considered as data that transferred to the function when it is called. Arguments are passed by value; that is, when a function is called, the parameter receives a copy of the argument's value, not its address. You can pass less or more arguments while calling a function. If you pass less arguments then rest of the parameters will be undefined. If you pass more arguments then additional arguments will be ignored
